return {
    "lervag/vimtex",
    config = function()
      -- vimtex settings
      -- vim.g.vimtex_view_method = 'startup'    -- PDF viewer (example: zathura, or use 'skim' for macOS)
      vim.g.vimtex_compiler_method = 'latexmk' -- Use latexmk for compilation
      vim.g.vimtex_fold_enabled = 1           -- Enable folding for LaTeX sections
      vim.g.vimtex_quickfix_mode = 0          -- Disable quickfix mode for compilation errors
        -- Key Mappings for LaTeX workflow
      vim.api.nvim_set_keymap('n', '<leader>lc', ':VimtexCompile<CR>', {})  -- Compile LaTeX file
      vim.api.nvim_set_keymap('n', '<leader>lv', ':VimtexView<CR>', {})    -- View compiled PDF
      vim.api.nvim_set_keymap('n', '<leader>lq', ':VimtexStop<CR>', {})    -- Stop compilation

    end
}
