return {
    -- lsp package manager
    "williamboman/mason.nvim",
    dependencies = {
        "williamboman/mason-lspconfig.nvim",
    },
    config = function()
        -- import mason
        local mason = require("mason")

        -- import mason-lspconfig
        local mason_lspconfig = require("mason-lspconfig")

        -- enable mason and configure icons
        mason.setup({
            ui = {
                icons = {
                    package_installed = "✔",
                    package_pending = "➜",
                    package_uninstalled = "✗",
                },
            },
        })

        mason_lspconfig.setup({
            -- list of servers for mason to install
            ensure_installed = {
                -- "bashls",
                -- "clangd",
                -- "cssls",
                -- "jdtls",
                -- "lua_ls",
                -- "pyright",
                -- "tsserver",
                "volar"
            },
            -- auto-install configured servers (with lspconfig)
            automatic_installation = true,
        })
    end,
}
